it.csi.mddtools.guigen

## Enum WebResModuleDeployTypes

- java.lang.Object
- - java.lang.Enum<WebResModuleDeployTypes>
  - - it.csi.mddtools.guigen.WebResModuleDeployTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WebResModuleDeployTypes>, org.eclipse.emf.common.util.Enumerator

      public enum WebResModuleDeployTypes
      extends java.lang.Enum<WebResModuleDeployTypes>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Web Res Module Deploy Types', and utility methods for working with them. Possibili tipologie di deploy del modulo (e degli artefatti corrispondenti)
  See Also:
    `GuigenPackage.getWebResModuleDeployTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPSERVER` The 'APPSERVER' literal object
    `WEBSERVER_GLOBAL` The 'WEBSERVER GLOBAL' literal object
    `WEBSERVER_LOCAL` The 'WEBSERVER LOCAL' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APPSERVER_VALUE` The 'APPSERVER' literal value
    `static java.util.List<WebResModuleDeployTypes>` | `VALUES` A public read-only list of all the 'Web Res Module Deploy Types' enumerators
    `static int` | `WEBSERVER_GLOBAL_VALUE` The 'WEBSERVER GLOBAL' literal value
    `static int` | `WEBSERVER_LOCAL_VALUE` The 'WEBSERVER LOCAL' literal value

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebResModuleDeployTypes` | `get(int value)` Returns the 'Web Res Module Deploy Types' literal with the specified integer value
    `static WebResModuleDeployTypes` | `get(java.lang.String literal)` Returns the 'Web Res Module Deploy Types' literal with the specified literal value
    `static WebResModuleDeployTypes` | `getByName(java.lang.String name)` Returns the 'Web Res Module Deploy Types' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static WebResModuleDeployTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WebResModuleDeployTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPSERVER

          public static final WebResModuleDeployTypes APPSERVER

      The 'APPSERVER' literal object.
      See Also:
        `APPSERVER_VALUE`

    - #### WEBSERVER_GLOBAL

          public static final WebResModuleDeployTypes WEBSERVER_GLOBAL

      The 'WEBSERVER GLOBAL' literal object.
      See Also:
        `WEBSERVER_GLOBAL_VALUE`

    - #### WEBSERVER_LOCAL

          public static final WebResModuleDeployTypes WEBSERVER_LOCAL

      The 'WEBSERVER LOCAL' literal object.
      See Also:
        `WEBSERVER_LOCAL_VALUE`

  - ### Field Detail

    - #### APPSERVER_VALUE

          public static final int APPSERVER_VALUE

      The 'APPSERVER' literal value.

      If the meaning of 'APPSERVER' literal object isn't clear, there really should be more of a description here...

      Gli artefatti relativi al modulo sono contenuti nel pacchetto applicativo che sarà installato nell'application server (es. nell'EAR)
      See Also:
        `APPSERVER`, Constant Field Values

    - #### WEBSERVER_GLOBAL_VALUE

          public static final int WEBSERVER_GLOBAL_VALUE

      The 'WEBSERVER GLOBAL' literal value.

      If the meaning of 'WEBSERVER GLOBAL' literal object isn't clear, there really should be more of a description here...

      Gli artefatti relativi al modulo sono referenziati in una cartella del web server che espone l'applicazione che è disponibile con ciclo di vita indipendente dall'applicazione (cartella globale)
      See Also:
        `WEBSERVER_GLOBAL`, Constant Field Values

    - #### WEBSERVER_LOCAL_VALUE

          public static final int WEBSERVER_LOCAL_VALUE

      The 'WEBSERVER LOCAL' literal value.

      If the meaning of 'WEBSERVER LOCAL' literal object isn't clear, there really should be more of a description here...

      Gli artefatti relativi al modulo sono installati e in una cartella del web server che espone l'applicazione. La cartella segue il ciclo di vita dell'applicazione (cartella locale). Le risorse sono poi referenziate dalle componenti applicative puntando a quella cartella
      See Also:
        `WEBSERVER_LOCAL`, Constant Field Values

    - #### VALUES

          public static final java.util.List<WebResModuleDeployTypes> VALUES

      A public read-only list of all the 'Web Res Module Deploy Types' enumerators.

  - ### Method Detail

    - #### values

          public static WebResModuleDeployTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebResModuleDeployTypes c : WebResModuleDeployTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebResModuleDeployTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static WebResModuleDeployTypes get(java.lang.String literal)

      Returns the 'Web Res Module Deploy Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static WebResModuleDeployTypes getByName(java.lang.String name)

      Returns the 'Web Res Module Deploy Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static WebResModuleDeployTypes get(int value)

      Returns the 'Web Res Module Deploy Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<WebResModuleDeployTypes>`